name: datePickerInput
type: object
meta:
    label:
        de: Custom Kalender
        en: Custom Calendar
    dependsOn:
        eval: $parent?.inputWidgets?.includes('customCalendar')
subFields:
    - name: props
      type: object
      meta:
          label:
              de: Datumauswahl Eigenschaften
              en: Date selection properties
      subFields:
          - name: allowedDateRanges
            type: object[]
            meta:
                label:
                    de: Erlaubte Datumsbereiche
                    en: Allowed date ranges
                widget: containerLessObjectArray
            subFields:
                - !include ../../fields/from.yml
                - name: to
                  type: date
                  meta:
                      label:
                          de: Bis
                          en: To
                      widget: date
                      containerProps:
                          layout:
                              size:
                                  default: "col-6"
                                  small: "col-12"
                                  large: "col-6"

          - !include ../../fields/excludedDays.yml

    - name: standardInputProperties
      type: object
      meta:
          widget: containerLessObject
      subFields: !include standardInputProperties.yml
